Name:           telepathy-logger
Version:        0.1.4
Release:        1%{?dist}
Summary:        Telepathy framework logging daemon

Group:          Applications/Communications
License:        LGPLv2+ 
URL:            http://telepathy.freedesktop.org/wiki/Logger
Source0:        http://telepathy.freedesktop.org/releases/%{name}/%{name}-%{version}.tar.bz2

BuildRequires:  dbus-devel >= 1.1.0
BuildRequires:  dbus-glib-devel >= 0.82
BuildRequires:  telepathy-glib-devel >= 0.11.7
BuildRequires:  glib2-devel >= 2.22.0
BuildRequires:  GConf2-devel
BuildRequires:  sqlite-devel
BuildRequires:  libxml2-devel
BuildRequires:	gnome-doc-utils

Requires(pre):  GConf2
Requires(post): GConf2
Requires(preun): GConf2

Requires:       telepathy-filesystem

%description
%{name} is a headless Observer client that logs information
received by the Telepathy framework. It features pluggable
backends to log different sorts of messages, in different formats.


%package        devel
Summary:        Development files for %{name}
Group:          Development/Libraries
Requires:       %{name} = %{version}-%{release}
Requires:       pkgconfig


%description devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.


%prep
%setup -q


%build
%configure --disable-static
sed -i 's|^hardcode_libdir_flag_spec=.*|hardcode_libdir_flag_spec=""|g' libtool
sed -i 's|^runpath_var=LD_RUN_PATH|runpath_var=DIE_RPATH_DIE|g' libtool
make %{?_smp_mflags}


%install
make install DESTDIR=$RPM_BUILD_ROOT
find $RPM_BUILD_ROOT -name '*.la' -exec rm -f {} ';'


%pre
%gconf_schema_prepare %{name}


%post
/sbin/ldconfig
%gconf_schema_upgrade %{name}


%preun
%gconf_schema_remove %{name}


%postun -p /sbin/ldconfig


%files
%defattr(-,root,root,-)
%doc COPYING NEWS README
%{_libexecdir}/%{name}
%{_libdir}/libtelepathy-logger*.so.*
%{_sysconfdir}/gconf/schemas/%{name}.schemas
%{_datadir}/telepathy/clients/Logger.client
%{_datadir}/dbus-1/services/org.freedesktop.Telepathy.Client.Logger.service
%{_datadir}/dbus-1/services/org.freedesktop.Telepathy.Logger.service


%files devel
%defattr(-,root,root,-)
%doc %{_datadir}/gtk-doc/html/%{name}/
%{_libdir}/libtelepathy-logger.so
%{_libdir}/pkgconfig/%{name}*.pc
%dir %{_includedir}/telepathy-logger-0.1
%{_includedir}/telepathy-logger-0.1/%{name}/


%changelog
* Fri Jul  9 2010 Brian Pepple <bpepple@fedoraproject.org> - 0.1.4-1
- Update to 0.1.4.

* Wed Jul  7 2010 Brian Pepple <bpepple@fedoraproject.org> - 0.1.3-2
- Remove unnecessary buildroot info.
- Remove rpath.

* Mon Jun 28 2010 Brian Pepple <bpepple@fedoraproject.org> - 0.1.3-1
- Initial Fedora spec file.
